$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.8-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.8-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3567B83F27EDF9D6804D00034EF2B9A4EC470D2EAC395DC2AD38EF762DE87099'
  checksumType = 'sha256'
  checksum64 = '3567B83F27EDF9D6804D00034EF2B9A4EC470D2EAC395DC2AD38EF762DE87099'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.16.8-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
